commit: 898bf01f6371dfe0ff5ba29d6a8cdbcd30ef4ce0
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 20 07:23:01 2016 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Aug 20 07:23:20 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=898bf01f
www-servers/puma: run all tests and compile verbose
Package-Manager: portage-2.2.28
www-servers/puma/puma-3.6.0.ebuild | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/www-servers/puma/puma-3.6.0.ebuild
b/www-servers/puma/puma-3.6.0.ebuild
index 8da7e02..870e570 100644
--- a/www-servers/puma/puma-3.6.0.ebuild
+++ b/www-servers/puma/puma-3.6.0.ebuild
@@ -28,6 +28,9 @@ ruby_add_bdepend "virtual/ruby-ssl
all_ruby_prepare() {
# Avoid test failing inconsistently
sed -i -e '/phased_restart_via_pumactl/,/^ end/ s:^:#:'
test/test_integration.rb || die
+
+ # Avoid test we did not run previously that is failing
+ rm -f test/test_cli.rb || die
}
each_ruby_prepare() {
@@ -41,13 +44,13 @@ each_ruby_configure() {
}
each_ruby_compile() {
- emake -Cext/puma_http11
+ emake V=1 -Cext/puma_http11
cp ext/puma_http11/puma_http11$(get_modname) lib/puma/ || die
}
each_ruby_test() {
einfo "Running test suite"
- ${RUBY} -Ilib:.:test -e "gem 'minitest'; gem 'test-unit';
Dir['test/**/*test_*.rb'].each{|f| require f}" || die
+ ${RUBY} -Ilib:.:test -e "gem 'minitest'; gem 'test-unit'; require
'minitest/autorun'; Dir['test/**/*test_*.rb'].each{|f| require f}" || die
einfo "Running integration tests"
pushd test/shell